Name:       qstardict
Version:    0.13.1
Release:    3%{?dist}
Summary:    StarDict clone written using Qt4
License:    GPLv2+
Group:      Applications/System
URL:        http://qstardict.ylsoftware.com/
Source0:    http://qstardict.ylsoftware.com/files/%{name}-%{version}.tar.bz2
# include a manpage from Debian
Source1:    qstardict.1
# fixed macro in stardict plugin. probably not compatible with gcc-4.4.1
# applied in upstream svn447
Patch0:     qstardict-dictziplib.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel

%description
QStarDict is a StarDict clone written using Qt4. The user interface
is similar to StarDict.

Main features:
* Full support of StarDict dictionaries
* Working from the system tray
* Scanning mouse selection and showing pop-up windows with translation of
selected words
* Translations reformatting
* Pronouncing of the translated words
* Plugins support

%package -n kde-plasma-%{name}
Group:      Applications/System
Summary:    Plasma applet of qstardict
Requires:   %{name} = %{version}-%{release}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description -n kde-plasma-%{name}
This package contains KDE plasma applet of qstardict.

%prep
%setup -q
%patch0 -p1 -b .fix

%build
%_qt4_qmake PLUGINS_DIR=%{_libdir}/%{name}/plugins LIBS+=" -lX11"
make %{?_smp_mflags}

# Build plasma applet
cd kdeplasma
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake_kde4 ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
rm -fr %{buildroot}
make install INSTALL_ROOT=%{buildroot}

pushd kdeplasma
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
popd

desktop-file-install --vendor="" \
    --dir=%{buildroot}%{_datadir}/applications              \
     %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/man/man1/
install -p -m 644 %SOURCE1 %{buildroot}%{_datadir}/man/man1/

rm -fr %{buildroot}%{_docdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/%{name}.png

%files -n kde-plasma-%{name}
%defattr(-,root,root)
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/kde4/services/*.desktop



%changelog
* Fri Mar 12 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-3
- Included a manpage from Debian
- Updated summary and description
- Initial import to Fedora repositories

* Mon Mar  1 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-2
- License chagned to GPLv2+
- BR: qt-devel, cmake removed, kdelibs-devel changed to kdelibs4-devel
- Removed the explicit claim for certain plugins
- Explicitly link to libX11.so for the change of DSO linking of F13

* Sun Feb 14 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-1
- Initial packaging for Fedora based on the spec file from Mandriva
